package com.mycompany.springdemo.dao;

import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

import com.mycompany.springdemo.entities.Customer;
import org.springframework.stereotype.Repository;

/**
 * @author adamekp
 */
@Repository
public class CustomerDAOJpa implements CustomerDAO {

	@PersistenceContext
	private EntityManager em;

	public void create(Customer customer) {
		em.persist(customer);
	}

}
